<div>
  <div class="btn-group dropup addonbaritem">
    <button type="button" class="btn btn-footer dropdown-toggle" data-toggle="dropdown">
      <span class="glyphicon-cogwheel"></span>
    </button>
    <ul class="dropdown-menu" role="menu">
      <li><a href="" ng-click="resetTablesettings()"><span translate='resetAllTablesettings'></span></a></li>
      <li><a href="" ng-click="resetTablesettings('filter')"><span translate='resetTablefilter'></span></a></li>
    </ul>
  </div>

  <div class="btn-group dropup addonbaritem">
    <button type="button" class="btn btn-footer dropdown-toggle" data-toggle="dropdown">
      <span class="glyphicon-file-export"></span>
    </button>
    <ul class="dropdown-menu" role="menu">
      <li><a href="" ng-click="exportTable('view')"><span translate='exportView'></span></a></li>
      <li><a href="" ng-click="exportTable('allfiltered')"><span translate='exportAllfiltered'></span></a></li>
      <li><a href="" ng-click="exportTable('all')"><span translate='exportAll'></span></a></li>
      <li><a href="" ng-click="exportTable('full')"><span translate='exportFullTable'></span></a></li>
    </ul>
  </div>

  <div class="btn-group dropup addonbaritem">
    <button type="button" class="btn btn-footer dropdown-toggle" data-toggle="dropdown">
      <span class="glyphicon-justify"></span> <span translate="rows"></span>
    </button>
    <ul class="dropdown-menu" role="menu">
      <li><a href="" ng-click="setRow(19)">1 <span translate='row'></span></a></li>
      <li><a href="" ng-click="setRow(38)">2 <span translate='rows'></span></a></li>
      <li><a href="" ng-click="setRow(58)">3 <span translate='rows'></span></a></li>
      <li><a href="" ng-click="setRow(78)">4 <span translate='rows'></span></a></li>
      <li><a href="" ng-click="setRow(98)">5 <span translate='rows'></span></a></li>
    </ul>
  </div>

  <button class="btn btn-footer addonbaritem" ng-click="open()"><span class="glyphicon-justify rotate90"></span><span translate="columns"></span></button>

  <div ng-if="table.selectedSettings" class="btn-group dropup addonbaritem">
    <button type="button" class="btn btn-footer dropdown-toggle" data-toggle="dropdown" ng-disabled="!table.selected.length">
      <span>{{table.selected.length}}</span> <span translate="selected"></span>
    </button>
    <button type="button" class="btn btn-footer" ng-click="resetSelected()" ng-disabled="!table.selected.length">
      <span class="glyphicon-restart"></span>
    </button>
    <ul ng-if="table.selected.length > 0" class="dropdown-menu" role="menu">
      <li quick-ng-repeat="(name, func) in table.selectedSettings" quick-repeat-list="selectedSettings">
        <a href="" ng-click="selectedFunc(func)">{{table.selected.length}} <span translate='{{name}}'></span></a>
      </li>
    </ul>
  </div>

</div>

